summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-12-09 22:05:54 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-12-09 22:05:54 +0000
commita659b6d85d3a326f342d09d43321bf88c4468734 (patch)
tree75ef83933d7b1fef4632f152e3f179b826819ee3 /dev-python
parent4c39ee2405f28315db7168f5baf5113d400f1b09 (diff)
downloadbaldeagleos-repo-a659b6d85d3a326f342d09d43321bf88c4468734.tar.gz
baldeagleos-repo-a659b6d85d3a326f342d09d43321bf88c4468734.tar.xz
baldeagleos-repo-a659b6d85d3a326f342d09d43321bf88c4468734.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.42.5.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.42.5.ebuild67
-rw-r--r--dev-python/coverage/Manifest2
-rw-r--r--dev-python/coverage/coverage-7.13.0.ebuild110
-rw-r--r--dev-python/findimports/Manifest1
-rw-r--r--dev-python/findimports/findimports-3.0.0.ebuild26
-rw-r--r--dev-python/frozenlist/frozenlist-1.8.0.ebuild2
-rw-r--r--dev-python/indexed-gzip/Manifest3
-rw-r--r--dev-python/indexed-gzip/indexed-gzip-1.10.3.ebuild (renamed from dev-python/indexed-gzip/indexed-gzip-1.8.7.ebuild)4
-rw-r--r--dev-python/indexed-gzip/indexed-gzip-1.9.5.ebuild60
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/multidict/multidict-6.7.0.ebuild2
-rw-r--r--dev-python/nanobind/Manifest1
-rw-r--r--dev-python/nanobind/nanobind-2.8.0.ebuild63
-rw-r--r--dev-python/networkx/Manifest2
-rw-r--r--dev-python/networkx/networkx-3.6.1.ebuild60
-rw-r--r--dev-python/pyghmi/Manifest2
-rw-r--r--dev-python/pyghmi/pyghmi-1.6.9.ebuild (renamed from dev-python/pyghmi/pyghmi-1.6.7.ebuild)0
-rw-r--r--dev-python/pylsqpack/pylsqpack-0.3.23.ebuild2
-rw-r--r--dev-python/pyproject-fmt/pyproject-fmt-2.11.0.ebuild2
-rw-r--r--dev-python/pysvn/pysvn-1.9.22-r1.ebuild2
-rw-r--r--dev-python/regex/regex-2025.10.23.ebuild2
-rw-r--r--dev-python/sphinx-autodoc-typehints/Manifest5
-rw-r--r--dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-3.2.0.ebuild44
-rw-r--r--dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-3.5.1.ebuild40
-rw-r--r--dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-3.6.0.ebuild (renamed from dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-3.4.0.ebuild)3
-rw-r--r--dev-python/tree-sitter/tree-sitter-0.25.2.ebuild2
-rw-r--r--dev-python/urllib3/Manifest2
-rw-r--r--dev-python/urllib3/urllib3-2.6.1.ebuild107
-rw-r--r--dev-python/uv/uv-0.9.16.ebuild1
-rw-r--r--dev-python/uv/uv-0.9.4.ebuild1
-rw-r--r--dev-python/uv/uv-9999.ebuild1
-rw-r--r--dev-python/vcrpy/Manifest1
-rw-r--r--dev-python/vcrpy/vcrpy-8.1.0.ebuild63
39 files changed, 535 insertions, 232 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 981c9731eca8..80844deeb186 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -8,3 +8,4 @@ DIST boto3-1.42.1.gh.tar.gz 1054688 BLAKE2B 9722ba8fb97df81abfbcc26f5ab5d5c7819a
DIST boto3-1.42.2.gh.tar.gz 1054980 BLAKE2B 5d361d756f41fb2e1df9f4397ba64a842388abb8f8f239b19c450ab062ec999c10c6a46770a52b3f9f664614c54093959fdbb85cff81bd712cb9b431604661a1 SHA512 1c24227ed467c9406c1cb781a46796d7748f44bbc5dddb53ad1153202111a08f33de7c7696f8294ac57df960a67a338cf37620c13df852cddb8d21ed909cbf20
DIST boto3-1.42.3.gh.tar.gz 1055160 BLAKE2B 86399e22d40747aa40d6d61296e9833f86ddbf8921a157a369bed90c538ce6ca43729c1a69c3f1f99d1b8496414397aa0b1a442d33e81d191fbac6991ab1a840 SHA512 c4f36ae4340e809c398ee9e496af1da5da24be08d6ab443dd434f5612bda97c187375480bb62992cb6129f638f8715cfd476d3a1116f94d3de470756d932d0c3
DIST boto3-1.42.4.gh.tar.gz 1055570 BLAKE2B a9990bb04ce59111c6371536692c6e4d5440f3f0dc79e1ecc119652603bcd8bc15839400758999faffd7df9bda9efb4991393fcab32baa16c7a0e51ff7c5cc94 SHA512 95950ba80f31c3951a88237ff5edd1367285c3ab263c7f8ad1b7556d610d553dd4e2021fbbcc0d9bdcf578fe34ad9fcf6231511f54ee71917f69c1cdb6adab28
+DIST boto3-1.42.5.gh.tar.gz 1057615 BLAKE2B 1d2cb3efd01c9608830cf9e5f4fb7b426a9ece3b08050480852695b3b7e6c8dead02c62533cc223b88fe1c7ef4f6ee4e7d829eac7c33047255182fe95eec61e2 SHA512 321931a4f84bd2cc3a7ce467d946c4999c2857e812b60b9b89b389b821f68a522566ede94d31d11e9863e33fa4fb42711988b0bc6300bc6d06ed69aa364fb7e7
diff --git a/dev-python/boto3/boto3-1.42.5.ebuild b/dev-python/boto3/boto3-1.42.5.ebuild
new file mode 100644
index 000000000000..6f9b5b5d57b1
--- /dev/null
+++ b/dev-python/boto3/boto3-1.42.5.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.16.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index d55c0ca95928..d6982c722682 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -8,3 +8,4 @@ DIST botocore-1.42.1.gh.tar.gz 15695042 BLAKE2B f0587a7e8112d0fd80cb40fb0da6cf88
DIST botocore-1.42.2.gh.tar.gz 15699929 BLAKE2B 9f809924aeb031313806c70207c2063c0a421695b2be1a246f886f3214ca1f7fee1ba25b456b654a93c1d682ed7988e9f5648ac91b1703a0ff534603b4e566f4 SHA512 e23157d1ef297f35cddc73ac43604b46e6274fbd1938b8bcb3a9dc142f4c47e377e8f3675e5045755e1ad70914c56a7a84ad3d39798f5486300a25ff3f4464ca
DIST botocore-1.42.3.gh.tar.gz 15700743 BLAKE2B d288896f8538dcb4e7589e641f8b2b0e78b9b45576a592ea105353ebcd3e03f695fff3e71af56dfdebd8cdf9cc35bc36593a30fabb02a78a7531dcbd000f2774 SHA512 d32b4b775f5a692c3f731b83a1538cff002c215a4a3947eb69fd27ddf638d47a41e037f7b8a6d73ec4acfaeaf5fbc649103051383f56190e25b5748fcd0b9d88
DIST botocore-1.42.4.gh.tar.gz 15703399 BLAKE2B ffd1613284a8487fd2abf10f53fcdaa13746990f519e2bc511bd09daa2efdbbc03cd141f40d36c83dc8180229daddb3a064c6d5aae2bc14f46921f50edf0f528 SHA512 22bbda9f4bc36bd18802812c63d650b2267565c27e432f7105daaa2c85660d2e3786ee11837ce2affe6d130504f9a7bf5c9e7ea3be5699b5d32be3090fb71914
+DIST botocore-1.42.5.gh.tar.gz 15709628 BLAKE2B 841886105cd9a47a473a8c75f54cbc539e999ab6d5850b5c3a5f0aec7de558e0e9566cb1041de98c8a73f6e176e2c0af53ff15f7d42508dfb77b928729b8193b SHA512 d280051a2130e5c62352aa1d43b81a9e7a0cdddc8df4739667f24a291302f1c06d21568792516488e3e654488475399cd3527351ee73d37a4a839a92819411c8
diff --git a/dev-python/botocore/botocore-1.42.5.ebuild b/dev-python/botocore/botocore-1.42.5.ebuild
new file mode 100644
index 000000000000..ee8074e67dce
--- /dev/null
+++ b/dev-python/botocore/botocore-1.42.5.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/coverage/Manifest b/dev-python/coverage/Manifest
index f41d83577770..33d1401cf50d 100644
--- a/dev-python/coverage/Manifest
+++ b/dev-python/coverage/Manifest
@@ -5,3 +5,5 @@ DIST coverage-7.12.0.tar.gz 819341 BLAKE2B 0f3a0a333eedf3ab4af3f3765e94b3f61dbd6
DIST coverage-7.12.0.tar.gz.provenance 9411 BLAKE2B d8d2374aa98f280396f83081d292ec221457c9a5a81edebcb3bb10c685addb9e4484213ac708a570c427bf0b75bd846f5a24140a0cbf99406c7a9514d108aa37 SHA512 1a4b5541597b0c0d6b98cbd45e35d45787c539e1a0e47d36d2ba740746483e12fab1bd6461c6a59e2d45faa139ad38524e8ec89e47a36eeac9f5161acc00eedf
DIST coverage-7.12.1b1.tar.gz 819749 BLAKE2B 42fc733a7a2bb63ca67e99b061265308931915e23b76d8aacfe18bf4e044f18962724547603994bf32e7ee0321943cf98372d01648fb24416b08f27278e03da8 SHA512 f350de86ac107e6699420714cca7db6323bfb8f9f9cdee8a9c5815c26bf8722852a56cc824d3df36b404952d8e29575dcd05789c72a4eec437e5174cef1736ff
DIST coverage-7.12.1b1.tar.gz.provenance 9309 BLAKE2B e7c5dc9c2aed9b568cbdabbcfe549c907f0b186e30f921db790a26c51bdaef7cb74edd604827b300eb25d050287f939003cd267980c37d232ecb1bd3b3cb1f10 SHA512 26b1a8af0f4e403269c489756d1ea7511fb1eeb37680d794f14722c3190cd62fdc04a7c2ad0252b9d96594872e0342534ad953321eed8075106fd1e108150940
+DIST coverage-7.13.0.tar.gz 820905 BLAKE2B af75e323af131ad63a05701104fef481ac5933ae1dd0f362edd3ff845405208004dc918892fff0bf6d03e8113eb1ea502f8ae55c3e898f5d316aa3e3038954d8 SHA512 81266ccb108674f66acb285c2efa101d523c447727c21006f17c73b7772505f4ea4423ec4db1a48185613392f385d769dcf2d0dc7a6075a559efe6fc1b778a4a
+DIST coverage-7.13.0.tar.gz.provenance 9487 BLAKE2B b941746acf4c1d076c4e39cbc020ba3a5e5e85fc555bd52b53e079c26f16c9baf5b56f2e3a606c86802910e9596fb4bde775fb409953d1719edbc75f439b3e5e SHA512 9d90434deed22bfebaf87b7a3e85a184ec4776132135fe9dc4fa81be265bef23b6aa4249330c889362c77c9dbc9209bc24118c0b59f99218262587951db3621a
diff --git a/dev-python/coverage/coverage-7.13.0.ebuild b/dev-python/coverage/coverage-7.13.0.ebuild
new file mode 100644
index 000000000000..12c17a1723c4
--- /dev/null
+++ b/dev-python/coverage/coverage-7.13.0.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/coveragepy/coveragepy
+PYTHON_COMPAT=( python3_{10..14} )
+PYTHON_REQ_USE="threads(+),sqlite(+)"
+
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="Code coverage measurement for Python"
+HOMEPAGE="
+ https://coverage.readthedocs.io/en/latest/
+ https://github.com/coveragepy/coveragepy/
+ https://pypi.org/project/coverage/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="+native-extensions"
+
+BDEPEND="
+ test? (
+ >=dev-python/unittest-mixins-1.4[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( hypothesis pytest-{rerunfailures,xdist} )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_compile() {
+ if ! use native-extensions; then
+ local -x COVERAGE_DISABLE_EXTENSION=1
+ fi
+
+ distutils-r1_python_compile
+}
+
+test_tracer() {
+ local -x COVERAGE_CORE=${1}
+ einfo " Testing with the ${COVERAGE_CORE} core ..."
+ epytest -o addopts= "${@:2}" tests
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # broken because of pytest plugins explicity loaded
+ tests/test_debug.py::ShortStackTest::test_short_stack{,_skip}
+ # these expect specific availability of C extension matching
+ # COVERAGE_CORE (which breaks testing pytracer on CPython)
+ tests/test_cmdline.py::CmdLineStdoutTest::test_version
+ tests/test_debug.py::DebugTraceTest::test_debug_sys_ctracer
+ # mismatch of expected concurrency in error message
+ # TODO: report upstream?
+ tests/test_concurrency.py::ConcurrencyTest::test_greenlet
+ tests/test_concurrency.py::ConcurrencyTest::test_greenlet_simple_code
+ # packaging tests, fragile to setuptools version
+ tests/test_setup.py
+ # looks like a difference in exit status reporting?
+ # https://github.com/nedbat/coveragepy/issues/2008
+ tests/test_process.py::ProcessTest::test_save_signal_usr1
+ )
+ local EPYTEST_IGNORE=(
+ # pip these days insists on fetching build deps from Internet
+ tests/test_venv.py
+ )
+
+ "${EPYTHON}" igor.py zip_mods || die
+
+ local -x COVERAGE_TESTING=True
+ # TODO: figure out why they can't be imported inside test env
+ local -x COVERAGE_NO_CONTRACTS=1
+
+ local jobs=${EPYTEST_JOBS:-$(makeopts_jobs)}
+ local xdist_args=()
+ if [[ ${jobs} -gt 1 ]]; then
+ # required upstream to avoid cross-test conflicts
+ xdist_args+=( --dist=loadgroup )
+ fi
+
+ local prev_opt=$(shopt -p nullglob)
+ shopt -s nullglob
+ local c_ext=( "${BUILD_DIR}/install$(python_get_sitedir)"/coverage/*.so )
+ ${prev_opt}
+
+ if [[ -n ${c_ext} ]]; then
+ cp "${c_ext}" coverage/ || die
+ test_tracer ctrace "${xdist_args[@]}"
+ fi
+
+ test_tracer pytrace "${xdist_args[@]}"
+
+ case ${EPYTHON} in
+ *3.11)
+ ;;
+ *)
+ # available since Python 3.12
+ test_tracer sysmon "${xdist_args[@]}"
+ ;;
+ esac
+
+ if [[ -n ${c_ext} ]]; then
+ rm coverage/*.so || die
+ fi
+}
diff --git a/dev-python/findimports/Manifest b/dev-python/findimports/Manifest
index 209792c91d7a..950f78d62fe7 100644
--- a/dev-python/findimports/Manifest
+++ b/dev-python/findimports/Manifest
@@ -1,2 +1,3 @@
DIST findimports-2.7.0.gh.tar.gz 28476 BLAKE2B 7ab5ebc6cec477297437890464636c6b96676c1272ea5d3c786fa2229b113c6106070960c665b83dd920e90bda92fc4c4d70151b05006ceb6efd8ee8adc7b314 SHA512 fcf28e0c9bdc8a5c0768c734008b63f5b9abd5c46d455814b742f2464fd7bc49e0bc518b9feaf8c208d7b6c58fdc96ada9b20d593bdc90052f78cd155808960c
DIST findimports-2.8.0.gh.tar.gz 28588 BLAKE2B 11dd3bcd890da6ec61c38f2e121efcb0152bb467c5af3fe80a808802a71f26bdc5ed990a039baab89ee14d7176c7775fff355b3eed89b7ae417c639d5d96905a SHA512 528b3c3945d8340a60b3f7316cd1dd78ba8b9f3d6decc9e89e25c72e45e861fe832dc2759a1f783281b77aebec905abf3bb203c53c7688ffa6f5d633e3a53bcb
+DIST findimports-3.0.0.gh.tar.gz 28642 BLAKE2B 536cf96898a53e1ee075e662993cf26461dd2a13a4c634b3e7872a164648beec8c0a34fa19e9f4004e8590884b84ad9e17cf4e492621a5ec587070d37ac2f6ed SHA512 4014a7c165682a84290a88205c0d5db0b50adc4649f49721060be1f33aba5aa1d5e4a0de62a2e93feb2ccd05ff65a457d72d176dd7562257b87bc0236b8ed39e
diff --git a/dev-python/findimports/findimports-3.0.0.ebuild b/dev-python/findimports/findimports-3.0.0.ebuild
new file mode 100644
index 000000000000..aa311857b807
--- /dev/null
+++ b/dev-python/findimports/findimports-3.0.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module import analysis tool"
+HOMEPAGE="
+ https://github.com/mgedmin/findimports/
+ https://pypi.org/project/findimports/
+"
+SRC_URI="
+ https://github.com/mgedmin/findimports/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
diff --git a/dev-python/frozenlist/frozenlist-1.8.0.ebuild b/dev-python/frozenlist/frozenlist-1.8.0.ebuild
index d1657d3467d3..aadb79653276 100644
--- a/dev-python/frozenlist/frozenlist-1.8.0.ebuild
+++ b/dev-python/frozenlist/frozenlist-1.8.0.ebuild
@@ -21,7 +21,7 @@ SRC_URI="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ~ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
IUSE="+native-extensions"
BDEPEND="
diff --git a/dev-python/indexed-gzip/Manifest b/dev-python/indexed-gzip/Manifest
index 618f7475a3e1..1c7607c5c0d0 100644
--- a/dev-python/indexed-gzip/Manifest
+++ b/dev-python/indexed-gzip/Manifest
@@ -1,3 +1,2 @@
DIST indexed_gzip-1.10.1.tar.gz 267180 BLAKE2B 0ee462826424ba1fd920969355d976167a9278b0a247493dc4d79510101a7b14a8db056fe329f3d6fb2ac40ab08e783b1f3e638a172555b8e3b70122576d8405 SHA512 950317796adc125d2ed22573b573d98fcbaefed1d973126f7fb886575f8413338041d0f28027de2265434b54d2fffe32107c52d52ad6d19c0a0087f10824eac1
-DIST indexed_gzip-1.8.7.tar.gz 74172 BLAKE2B a3feddb50a165a73dcf5af79f1470c0ec2933002ef162fc323a66d8d4782b318f52dd92ca81f413b6b4571f2fcc5be7f74e088de6876bd180a2cf7d3360f18b9 SHA512 89b902d3511927d45d424ea09dfcec3037ec1f295cdac30aa5ae50d664bdb75ef1bdaad6e12f317a51bb9c01485aa09d2c0a07923b544307f762dc280048327a
-DIST indexed_gzip-1.9.5.tar.gz 75925 BLAKE2B f1ac3e81ebe15188c50ac71a9d91877741209d76b1f54713034f15af7869c5366a3d436da0ba4d4f1784cb8accf83a464949370d99cdfdffd8c47536e1a3e2e1 SHA512 7268923406014ed9ed7ed34b0fd87997f2cb9a90cb354c0beb3f689bba3f7e220090682e1c93b0dc338eaac6d31a76fa6e2441ac3f52c7c631b44355161eae61
+DIST indexed_gzip-1.10.3.tar.gz 275900 BLAKE2B 7c65a6351a368222262ea56f09b193971959a3a5a56e7e8c949b47c76b2f7a96056f925f795da1b4215cf63dc1f904e826bff0ac7e75c0b990e681f7d5609db7 SHA512 3b5a00ba004d43f4a5fa76d127df7136f1db227de5f294a4e128df8d7da64f7a16d9c4106dd92510a3528c7b66f27f59f2968830430c94f544ce9dd6c69699b5
diff --git a/dev-python/indexed-gzip/indexed-gzip-1.8.7.ebuild b/dev-python/indexed-gzip/indexed-gzip-1.10.3.ebuild
index 39484e9f9e5b..d8726c50b487 100644
--- a/dev-python/indexed-gzip/indexed-gzip-1.8.7.ebuild
+++ b/dev-python/indexed-gzip/indexed-gzip-1.10.3.ebuild
@@ -27,11 +27,13 @@ DEPEND="
"
BDEPEND="
dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
test? (
dev-python/numpy[${PYTHON_USEDEP}]
)
"
+EPYTEST_PLUGINS=()
EPYTEST_XDIST=1
distutils_enable_tests pytest
@@ -53,7 +55,7 @@ src_compile() {
python_test() {
cd "${BUILD_DIR}/install$(python_get_sitedir)/indexed_gzip/tests" || die
- epytest
+ epytest -m "not slow_test"
# temporary files and test extensions
# (to achieve equivalence with USE=-test)
rm ctest*.{c,gz,so,tmp} || die
diff --git a/dev-python/indexed-gzip/indexed-gzip-1.9.5.ebuild b/dev-python/indexed-gzip/indexed-gzip-1.9.5.ebuild
deleted file mode 100644
index 39484e9f9e5b..000000000000
--- a/dev-python/indexed-gzip/indexed-gzip-1.9.5.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Fast random access of gzip files in Python"
-HOMEPAGE="
- https://pypi.org/project/indexed-gzip/
- https://github.com/pauldmccarthy/indexed_gzip/
-"
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- virtual/zlib:=
-"
-DEPEND="
- ${RDEPEND}
-"
-BDEPEND="
- dev-python/cython[${PYTHON_USEDEP}]
- test? (
- dev-python/numpy[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_XDIST=1
-distutils_enable_tests pytest
-
-src_compile() {
- # This actually enables line tracing, so it fits USE=debug more.
- if use debug; then
- export INDEXED_GZIP_TESTING=1
- fi
- # Fix implicit dependency on numpy that is used to build test
- # extensions.
- if ! use test; then
- local -x PYTHONPATH="${T}:${PYTHONPATH}"
- cat >> "${T}"/numpy.py <<-EOF || die
- raise ImportError("I am not here!")
- EOF
- fi
- distutils-r1_src_compile
-}
-
-python_test() {
- cd "${BUILD_DIR}/install$(python_get_sitedir)/indexed_gzip/tests" || die
- epytest
- # temporary files and test extensions
- # (to achieve equivalence with USE=-test)
- rm ctest*.{c,gz,so,tmp} || die
-}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index d12ab8aeaca8..a11d7c268c91 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1,3 +1 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
-EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9cd8a2a93a8d45bf51fe2324402b175d641762ea591fcb99459427f977a95eccffa6ca4777ca4df39814eea6eac62711567faa654456d32f79023a4685804504 SHA512 d973b85ba1a44389a4275f02a779a93a005f7c2e096467b94b072862e4984d5b42cf33f9821ac68aa5b85b12c98983a90b96049989d8c84497969174b6bb838e
-MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
new file mode 100644
index 000000000000..637368d2f237
--- /dev/null
+++ b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
@@ -0,0 +1,13 @@
+Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
+
+--- a/setup.py
++++ b/setup.py
+@@ -18,7 +18,7 @@ setup(
+ author_email='michal.danilak@gmail.com',
+ url='https://github.com/Mimino666/langdetect',
+ keywords='language detection library',
+- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
++ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
+ include_package_data=True,
+ install_requires=['six'],
+ license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 271137de443d..7100f5f39dd8 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022 Gentoo Authors
+# Copyright 2022-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,4 +19,6 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
+
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 020e07f2a3dd..c0f74ac187e2 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,11 +2,9 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>marcin.deranek@slonko.net</email>
- <name>Marcin Deranek</name>
+ <email>pastalian46@gmail.com</email>
+ <name>Takuya Wakazono</name>
</maintainer>
- <upstream>
- <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
- </upstream>
- <origin>slonko-overlay</origin>
+
+ <origin>gentoo-guru-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/multidict/multidict-6.7.0.ebuild b/dev-python/multidict/multidict-6.7.0.ebuild
index fb1cf2a55372..1749d6153208 100644
--- a/dev-python/multidict/multidict-6.7.0.ebuild
+++ b/dev-python/multidict/multidict-6.7.0.ebuild
@@ -21,7 +21,7 @@ SRC_URI="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos"
IUSE="+native-extensions"
BDEPEND="
diff --git a/dev-python/nanobind/Manifest b/dev-python/nanobind/Manifest
index 5c9c33157084..8e37a87bc11d 100644
--- a/dev-python/nanobind/Manifest
+++ b/dev-python/nanobind/Manifest
@@ -1,2 +1 @@
-DIST nanobind-2.8.0.gh.tar.gz 916326 BLAKE2B 3925f261f3c8563d597b9d3e603c539bd589c5b3a581e85e91b013e7d2ec71864ee6cb0806b2d73a08b3ba3c8949f09e62da755521cd5998cdffefaa7bb07c75 SHA512 777436b5136d0e7e59e095d1e067b94f608cd949ec59e497fcab2de16c8c7687e734cc0df1606b5dba40484c4f39ba1014c731cef6ec6a4c5c84d0c33166af70
DIST nanobind-2.9.2.gh.tar.gz 922360 BLAKE2B 0f8685698e61e72e2b939c0646da0e71ee12af33a2e61c17edc9eb8fcb74f2e47bbb55d34cafff2c0f0175416ff4b4ea66f36cacd32a1ebf4cb93248533c81c4 SHA512 05b2541896e64bb513f915ebc09820b2d3659efa9a1a4bdda9da79a761a23d84e41db22031c02ae816b1f729dab95efcb7c888e926dbb89fb4b34c8a329d59bf
diff --git a/dev-python/nanobind/nanobind-2.8.0.ebuild b/dev-python/nanobind/nanobind-2.8.0.ebuild
deleted file mode 100644
index 0b8abfdfbd8d..000000000000
--- a/dev-python/nanobind/nanobind-2.8.0.ebuild
+++ /dev/null
@@ -1,63 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=scikit-build-core
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit cmake distutils-r1
-
-DESCRIPTION="Tiny and efficient C++/Python bindings"
-HOMEPAGE="
- https://github.com/wjakob/nanobind/
- https://pypi.org/project/nanobind/
-"
-SRC_URI="
- https://github.com/wjakob/nanobind/archive/refs/tags/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 ~ppc64 ~riscv ~x86"
-
-DEPEND="
- >=dev-cpp/robin-map-1.3.0
-"
-RDEPEND="
- ${DEPEND}
-"
-
-EPYTEST_PLUGINS=()
-EPYTEST_XDIST=1
-distutils_enable_tests pytest
-
-src_prepare() {
- cmake_src_prepare
- distutils-r1_src_prepare
-}
-
-src_configure() {
- # XXX: nanobind installs a CMake config file which by default passes -Os
- # We currently patch around it in dev-python/pyopencl. In future, we
- # may want to add some override with Gentoo specific environment vars.
- DISTUTILS_ARGS=(
- -DNB_CREATE_INSTALL_RULES=ON
- -DNB_USE_SUBMODULE_DEPS=OFF
- -DNB_TEST=OFF
- )
-}
-
-python_test() {
- local mycmakeargs=(
- -DNB_CREATE_INSTALL_RULES=OFF
- -DNB_USE_SUBMODULE_DEPS=OFF
- -DNB_TEST=ON
- )
- cmake_src_configure
- cmake_src_compile
-
- cd "${BUILD_DIR}/tests" || die
- epytest
-}
diff --git a/dev-python/networkx/Manifest b/dev-python/networkx/Manifest
index 36e1c2617d92..5a8f8f9243cd 100644
--- a/dev-python/networkx/Manifest
+++ b/dev-python/networkx/Manifest
@@ -1,3 +1,5 @@
DIST networkx-3.5.tar.gz 2471065 BLAKE2B 575ac0a6e9741f0ad23396ff089cb360d43fc80f1c5a1fcb69e824c3673aba1aae5c2413020b049bcfecb68045984452eb02aefce1d523bd00d589eb26d8ae0f SHA512 9c060385913cfe67126e71eb9e53c032faa51c9609336ce78333d22e5f73078eb5b4826e0709cae0bd448fef2a5b2fb6f4c29be28c70d34a936d1cf6a00e83a1
+DIST networkx-3.6.1.tar.gz 2517025 BLAKE2B 4419ae5377fa6d4c4e058e96f481207c6091edc4b2e15c5f1c96d15e1a298b54c99a3f2fc5788469269db703db75b7bcff72fdddc08835a875170fa151b7a574 SHA512 d3ccbdf15b93facf71c8f0f508b85204f77273af1180e885a2bde79631237f7f08a4521a88a52b599b179df94e2b58916cc2ee21be20d893a8d6a0f86d9a3a30
+DIST networkx-3.6.1.tar.gz.provenance 9627 BLAKE2B 0a983dd076324896c372504a666dc491cdc0f84280d1d0cd7e26f46d0cd9526310caf1397e40ce547643d1e3df39a3a5144d8de45c44f4e350ad6146119fbfeb SHA512 b0be00d2310d8df60bdaa9554026a8aeb8930f90095bae8c3f5536fe7badee0002370c8ac03aea4f1e53381ab20d9faece5e74744373966cd472a5d6e64d5da8
DIST networkx-3.6.tar.gz 2511464 BLAKE2B d677f4850dc396d447d10086a8adef59c1455286702158fd5fef7417accb3529980a65ee52a935aed20723d61eee99ba88b22ab0fc45970d48f97934a99dccec SHA512 a2864f7896e3b20d2dc24744494ffa14ff5aa6ffa938c5b49937236706ec193f0777cda3cbb2993f4dbf51137a0aed8246af0c2d900385222cd32e917d6b5c64
DIST networkx-3.6.tar.gz.provenance 9491 BLAKE2B 6cb089d2da3b5313d6df63e2503202ed80a3f30a71aeb9c198da3c2b62ecb21f78c11b9e5b55750c9a85ca430c8ed3096cb59c822c07455ecacde9825228fdcf SHA512 68795022a1c9cb288ecf478c14aec713b17081b2de1056cb7278887fadbd7f66cf555e01ad838f808414a1740a083dc3f372791dde00af3a0330093019d02c6f
diff --git a/dev-python/networkx/networkx-3.6.1.ebuild b/dev-python/networkx/networkx-3.6.1.ebuild
new file mode 100644
index 000000000000..a5123c67d522
--- /dev/null
+++ b/dev-python/networkx/networkx-3.6.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/networkx/networkx
+PYTHON_FULLY_TESTED=( python3_{11..14} )
+PYTHON_COMPAT=( "${PYTHON_FULLY_TESTED[@]}" )
+
+inherit distutils-r1 optfeature pypi virtualx
+
+DESCRIPTION="Python tools to manipulate graphs and complex networks"
+HOMEPAGE="
+ https://networkx.org/
+ https://github.com/networkx/networkx/
+ https://pypi.org/project/networkx/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+BDEPEND="
+ test? (
+ >=dev-python/lxml-4.6[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/matplotlib-3.8[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.25[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.11.2[${PYTHON_USEDEP}]
+ ' "${PYTHON_FULLY_TESTED[@]}")
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ # virtx implies nonfatal
+ nonfatal epytest || die
+}
+
+src_install() {
+ distutils-r1_src_install
+ # those examples use various assets and pre-compressed files
+ docompress -x /usr/share/doc/${PF}/examples
+}
+
+pkg_postinst() {
+ optfeature "recommended dependencies" "dev-python/matplotlib dev-python/numpy dev-python/pandas dev-python/scipy"
+ optfeature "graph drawing and graph layout algorithms" "dev-python/pygraphviz dev-python/pydot"
+ optfeature "YAML format reading and writing" "dev-python/pyyaml"
+ optfeature "shapefile format reading and writing" "sci-libs/gdal[python]"
+ optfeature "GraphML XML format" "dev-python/lxml"
+}
diff --git a/dev-python/pyghmi/Manifest b/dev-python/pyghmi/Manifest
index df9b3fabd063..fdbdc85d18ab 100644
--- a/dev-python/pyghmi/Manifest
+++ b/dev-python/pyghmi/Manifest
@@ -1,2 +1,2 @@
-DIST pyghmi-1.6.7.tar.gz 282464 BLAKE2B 0605b1bb63d1e024e54f67ea3893a2aeac74d4704b8c9bf7a36cfe581eea6be659a1b92133026f75d7ee62f2eacb086f5700f8718d6b44d4a1332caecf11071d SHA512 0727d4b4e98ae3b5d7ee8edbb5756215abb896d1a47762eb41d0067cd73205d5234d8a63d53c272f7635f065aee77b80f7127471686744e2ead2219a2828b020
DIST pyghmi-1.6.8.tar.gz 282988 BLAKE2B 9b243bb061772f5b6edf9956b6117031a7d565504e26508acfb37b9bb0418136fb1afd388a860abaf9cf713c18ad685d6a37afa69d60ee2f6234a04c5617da8a SHA512 335e293c0e139d939c4ace9fc640a363cccf49f4c5ab05ddfd80f0a5d2cee5b845ca729a21a07f68ff61605d0f60dcecdf70e0882e9054ca67b0effcabc8a527
+DIST pyghmi-1.6.9.tar.gz 283565 BLAKE2B a952c8d118af0ed9cab9b7444a6c5a425328ad4ccabae74a698bc48e32cf69ae0a4355b941e666d07e00e167719a6db77ee272e4cae0e5215707e7c5555bda6a SHA512 7fcd0a29c637aaabb29055d6fddbd3d5774a27f37f149b80fd19bbfd78fa6f4b134f7115a10267b68b9d088a5e40c28b6979f80acd8da9754e21baab8533bc01
diff --git a/dev-python/pyghmi/pyghmi-1.6.7.ebuild b/dev-python/pyghmi/pyghmi-1.6.9.ebuild
index 9946b26c54e4..9946b26c54e4 100644
--- a/dev-python/pyghmi/pyghmi-1.6.7.ebuild
+++ b/dev-python/pyghmi/pyghmi-1.6.9.ebuild
diff --git a/dev-python/pylsqpack/pylsqpack-0.3.23.ebuild b/dev-python/pylsqpack/pylsqpack-0.3.23.ebuild
index 502b8f2bcb9d..1f083a52e1b5 100644
--- a/dev-python/pylsqpack/pylsqpack-0.3.23.ebuild
+++ b/dev-python/pylsqpack/pylsqpack-0.3.23.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~loong ~mips ppc ~ppc64 ~riscv x86"
+KEYWORDS="amd64 arm arm64 ~loong ~mips ppc ppc64 ~riscv x86"
DEPEND="
dev-libs/ls-qpack:=
diff --git a/dev-python/pyproject-fmt/pyproject-fmt-2.11.0.ebuild b/dev-python/pyproject-fmt/pyproject-fmt-2.11.0.ebuild
index 905f38000d10..eeb43897393a 100644
--- a/dev-python/pyproject-fmt/pyproject-fmt-2.11.0.ebuild
+++ b/dev-python/pyproject-fmt/pyproject-fmt-2.11.0.ebuild
@@ -119,7 +119,7 @@ LICENSE+="
|| ( Apache-2.0 Boost-1.0 )
"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~loong ppc ~ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="amd64 arm arm64 ~loong ppc ppc64 ~riscv ~s390 ~sparc x86"
RDEPEND="
~dev-python/toml-fmt-common-1.0.1[${PYTHON_USEDEP}]
diff --git a/dev-python/pysvn/pysvn-1.9.22-r1.ebuild b/dev-python/pysvn/pysvn-1.9.22-r1.ebuild
index 48610719ce7b..8458e548c4cb 100644
--- a/dev-python/pysvn/pysvn-1.9.22-r1.ebuild
+++ b/dev-python/pysvn/pysvn-1.9.22-r1.ebuild
@@ -15,7 +15,7 @@ SRC_URI="https://downloads.sourceforge.net/project/pysvn/pysvn/V${PV}/${P}.tar.g
LICENSE="Apache-1.1"
SLOT="0"
-KEYWORDS="amd64 ~arm ~ppc x86 ~amd64-linux ~x86-linux ~ppc-macos"
+KEYWORDS="amd64 ~arm ppc x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE="doc examples"
DEPEND="
diff --git a/dev-python/regex/regex-2025.10.23.ebuild b/dev-python/regex/regex-2025.10.23.ebuild
index a3374c8f0075..889fce2af7f8 100644
--- a/dev-python/regex/regex-2025.10.23.ebuild
+++ b/dev-python/regex/regex-2025.10.23.ebuild
@@ -19,7 +19,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos"
IUSE="doc"
distutils_enable_tests unittest
diff --git a/dev-python/sphinx-autodoc-typehints/Manifest b/dev-python/sphinx-autodoc-typehints/Manifest
index a5193731f9df..0adcdce4cfa4 100644
--- a/dev-python/sphinx-autodoc-typehints/Manifest
+++ b/dev-python/sphinx-autodoc-typehints/Manifest
@@ -1,5 +1,4 @@
-DIST sphinx_autodoc_typehints-3.2.0.tar.gz 36724 BLAKE2B fccbb551c0aa9bb7b242185fa2f8255e64736c97f9ed476dab95cb25f0e95dc385f384ca4bd4f69ac42a48c2022053c86091c01937d48f023cebac3f0faff86d SHA512 110b4ec94e748e13916eda39b9f66af9823467b688df2f522b7dd5004a9534977cb72b8f4b2b0ed7f651df69e18a12e57c0f13e1c55d62baf7c1f2241880b133
-DIST sphinx_autodoc_typehints-3.4.0.tar.gz 37526 BLAKE2B 1eaaa8323282c35bdd95d28b61768bdb64f2db741b5fe4e62c8ec5174a0de3523e897de1214c005540b277f80ab5a9fc5f32e4bb22071193c1e9ca7d0b5a4063 SHA512 fca36b7094ed1f1c831d9958e6601d680fee5a9d86dd9ed8f098c8c221d3bc2fc369c1ab998090a0bffca9ac51fa44005c78abf54e07d137c1ae1fdca8bca756
-DIST sphinx_autodoc_typehints-3.5.1.tar.gz 37620 BLAKE2B a126f98214b4578494e016bf6f42f687f90683bdd86aa48cb50ceeeeee7e28f550040faa624a0a1e7a145cd91ca53e88d032a647de220bedc471af2f8c426a20 SHA512 22c5a6e2e4bd63ac2f292f73357de5eb908a0576e1f5ec47b9d720fa0b25e324dac44ef3d34d61312b97dfa2405c3553ccaf91ec7d9b4d5de0537aa5680e2782
DIST sphinx_autodoc_typehints-3.5.2.tar.gz 37839 BLAKE2B 6eccf336927e2f1ff1f3f6049901e60217779423268c24367d0f33f993e6ec7249888f8481d1da04a899a92fcff038dffcb08c4f8effce2587d0eec95e6b7940 SHA512 7fe9bd391cf76ed3a0cab4283c0c70017cafe74d8b8870c874dfdda781e13b80f3b5102341aeeb94c26ce13c971a411d872480cb17c89e2fdb70a628246a6ab9
DIST sphinx_autodoc_typehints-3.5.2.tar.gz.provenance 9747 BLAKE2B 20b3c0973ab0d9a7f9a7882fb71493dc8a44f0275b29b18fd1dfccd2613264cdd33ccc057e53623290b5d25b0d5f34cb7bbd71597add3be963f7a5c277faf1bd SHA512 7164949ba9b937ff57ab0ef472939db2b056426e8afe8a10abb66712efa691a0ebeada9c32be63b94ed208006bd0ee6fd135f66cbe84e279d5596b769e9d1805
+DIST sphinx_autodoc_typehints-3.6.0.tar.gz 37449 BLAKE2B a12a68cadd0fa053f906576cc590fced7435fb82f28a96da9aebac0ffa00b3686f68414b0596da0b833fc6bdd812b9923776d442e098300a9256bf6d66991a95 SHA512 3872e5ba8a08a741217f64f78de8fab78c11d1fe3cacd4fd0f9f913c0c38704623673833b46d8b18cddef98dbd5d0e14338e1af2efbd2b0f0dfb1cf91bad3ac9
+DIST sphinx_autodoc_typehints-3.6.0.tar.gz.provenance 9592 BLAKE2B dc8454a9d5a65b303261883326f15532cbe0c19f30fe1b0e9903b81f175cb081c1083c52567fdbdfab1af044f20af00b4aab9111fa0132e65450382f42312b54 SHA512 97095cd28aa874c3105f71e56612094fc05aaa997a35c50a008bef70dc312b43a86ff9f349c1060d452b90ad688c781979d2c3005960490e90e952218b37ed8c
diff --git a/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-3.2.0.ebuild b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-3.2.0.ebuild
deleted file mode 100644
index 56f0efd69029..000000000000
--- a/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-3.2.0.ebuild
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Type hints support for the Sphinx autodoc extension"
-HOMEPAGE="
- https://github.com/tox-dev/sphinx-autodoc-typehints/
- https://pypi.org/project/sphinx-autodoc-typehints/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
-
-RDEPEND="
- >=dev-python/sphinx-8.2.0[${PYTHON_USEDEP}]
-"
-# skipping optional test dep on dev-python/nptyping as that package
-# is horribly broken and on its way out
-BDEPEND="
- dev-python/hatch-vcs[${PYTHON_USEDEP}]
- test? (
- >=dev-python/sphobjinv-2.3.1[${PYTHON_USEDEP}]
- >=dev-python/typing-extensions-4.5[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- local EPYTEST_DESELECT=(
- # this package is addicted to Internet
- tests/test_sphinx_autodoc_typehints.py::test_format_annotation
- )
-
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest
-}
diff --git a/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-3.5.1.ebuild b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-3.5.1.ebuild
deleted file mode 100644
index 1b04a82bf74e..000000000000
--- a/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-3.5.1.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Type hints support for the Sphinx autodoc extension"
-HOMEPAGE="
- https://github.com/tox-dev/sphinx-autodoc-typehints/
- https://pypi.org/project/sphinx-autodoc-typehints/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
-
-RDEPEND="
- >=dev-python/sphinx-8.2.0[${PYTHON_USEDEP}]
-"
-# skipping optional test dep on dev-python/nptyping as that package
-# is horribly broken and on its way out
-BDEPEND="
- dev-python/hatch-vcs[${PYTHON_USEDEP}]
- test? (
- >=dev-python/sphobjinv-2.3.1[${PYTHON_USEDEP}]
- >=dev-python/typing-extensions-4.5[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_PLUGINS=()
-distutils_enable_tests pytest
-
-EPYTEST_DESELECT=(
- # Internet
- tests/test_sphinx_autodoc_typehints.py::test_format_annotation
-)
diff --git a/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-3.4.0.ebuild b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-3.6.0.ebuild
index 48129db683ba..1c9ece27e247 100644
--- a/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-3.4.0.ebuild
+++ b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-3.6.0.ebuild
@@ -4,6 +4,7 @@
EAPI=8
DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/tox-dev/sphinx-autodoc-typehints
PYTHON_COMPAT=( python3_{10..14} )
inherit distutils-r1 pypi
@@ -19,7 +20,7 @@ SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
- >=dev-python/sphinx-8.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-9.0.4[${PYTHON_USEDEP}]
"
# skipping optional test dep on dev-python/nptyping as that package
# is horribly broken and on its way out
diff --git a/dev-python/tree-sitter/tree-sitter-0.25.2.ebuild b/dev-python/tree-sitter/tree-sitter-0.25.2.ebuild
index 0bed88da13d0..a61bdb857044 100644
--- a/dev-python/tree-sitter/tree-sitter-0.25.2.ebuild
+++ b/dev-python/tree-sitter/tree-sitter-0.25.2.ebuild
@@ -22,7 +22,7 @@ S=${WORKDIR}/py-${P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
# setuptools is needed for distutils import
DEPEND="=dev-libs/tree-sitter-0.25*:="
diff --git a/dev-python/urllib3/Manifest b/dev-python/urllib3/Manifest
index 6c1aedaeb0a5..b7db32916685 100644
--- a/dev-python/urllib3/Manifest
+++ b/dev-python/urllib3/Manifest
@@ -2,3 +2,5 @@ DIST hypercorn-d1719f8c1570cbd8e6a3719ffdb14a4d72880abb.gh.tar.gz 156216 BLAKE2B
DIST urllib3-2.5.0.tar.gz 393185 BLAKE2B 3885be1dae81cb63cfd0c52242b8ff342e4fb398816f94b556e929af0328f4063d705f15201005f4247b278420794984277999751170e124c23ac99c6dc881d4 SHA512 f417a2745bc9750da23916690937e5c0dfe0534354f2c1c9f056baf16554a831a28937acca2b1f23941d5b6e87a372f2e074508eaf2c3304fd1014b8afc3295e
DIST urllib3-2.6.0.tar.gz 432585 BLAKE2B a630f109dd9b191bd0b5fcbfae03c1f492d8396fdc41c9103c15d537472f55d04d5ece2d5af5ee7a381f0560384afcc8c5232320d8d921d01e2d37093ef0ca28 SHA512 b825663ed9e037763c3c8a049f818330ee9cf0d00ba6f3bd368114ed1feb750e0e6613920cde62443aa05aa84752a2cdfa4f7a6f631801031cb2fbf6736675e3
DIST urllib3-2.6.0.tar.gz.provenance 9060 BLAKE2B 086458bd509d0de661ce4fab4a556884e0eaf77f4df9d34dbefb12865c22282bab24c07410b7fe42417422cc24102cb70c813d4b7a1115a454b3843809751b58 SHA512 a95d98157ad594662f598e06cb6bd326a42e58a48d647bf17c08078fddcd6232d81eb9a93d3369aabe52cd20190a1bbd00106a6f3767223e7378fc9e43c077a2
+DIST urllib3-2.6.1.tar.gz 432678 BLAKE2B 1bedb221a31dc1571f1a334a0a7edd21023282389ee2f137173f03a85aa4e12a17e354e1e06cbd21c67f77909f8032bdabb09f041053b305803bed432d7ad158 SHA512 ad35d310734b088ff61db7f959f63b12c6ad2c592a580bbe7633c4a172d3bc0d42081b7ddb92946036d3b72c5295b3224095368af8bf7c1908ccf4f96e4d24b2
+DIST urllib3-2.6.1.tar.gz.provenance 9342 BLAKE2B b2d49ce4db1a15bcde9699f10f1bbdf8ca0f0765131c948638084db76c3f7c5d7c3c64c22e012726ce82d4b5029ea2ff8aa05c57fb2e8857ff415e810c0174c6 SHA512 93ba88e539617ad5f349bf2a141854d2b3e4a7db2ccaecd1ac1f88ec990cb751c5e20f33496e9c261ca3ac3dec9fc0dbec5627a033d627864a5cf156e9919aaa
diff --git a/dev-python/urllib3/urllib3-2.6.1.ebuild b/dev-python/urllib3/urllib3-2.6.1.ebuild
new file mode 100644
index 000000000000..27008c9ef75c
--- /dev/null
+++ b/dev-python/urllib3/urllib3-2.6.1.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/urllib3/urllib3
+PYTHON_TESTED=( python3_{11..14} pypy3_11 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1 pypi
+
+# The package has a test dependency on their own hypercorn fork.
+HYPERCORN_COMMIT=d1719f8c1570cbd8e6a3719ffdb14a4d72880abb
+DESCRIPTION="HTTP library with thread-safe connection pooling, file post, and more"
+HOMEPAGE="
+ https://github.com/urllib3/urllib3/
+ https://pypi.org/project/urllib3/
+"
+SRC_URI+="
+ test? (
+ https://github.com/urllib3/hypercorn/archive/${HYPERCORN_COMMIT}.tar.gz
+ -> hypercorn-${HYPERCORN_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~riscv ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="brotli http2 test zstd"
+RESTRICT="!test? ( test )"
+
+# [secure] extra is deprecated and slated for removal, we don't need it:
+# https://github.com/urllib3/urllib3/issues/2680
+RDEPEND="
+ >=dev-python/pysocks-1.5.8[${PYTHON_USEDEP}]
+ <dev-python/pysocks-2.0[${PYTHON_USEDEP}]
+ brotli? ( >=dev-python/brotlicffi-1.2.0.0[${PYTHON_USEDEP}] )
+ http2? (
+ <dev-python/h2-5[${PYTHON_USEDEP}]
+ >=dev-python/h2-4[${PYTHON_USEDEP}]
+ )
+ zstd? (
+ $(python_gen_cond_dep '
+ >=dev-python/backports-zstd-1.0.0[${PYTHON_USEDEP}]
+ ' 3.{11..13})
+ )
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ $(python_gen_cond_dep "
+ ${RDEPEND}
+ dev-python/brotlicffi[\${PYTHON_USEDEP}]
+ dev-python/freezegun[\${PYTHON_USEDEP}]
+ dev-python/h2[\${PYTHON_USEDEP}]
+ dev-python/httpx[\${PYTHON_USEDEP}]
+ dev-python/pytest[\${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[\${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[\${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[\${PYTHON_USEDEP}]
+ dev-python/quart[\${PYTHON_USEDEP}]
+ dev-python/quart-trio[\${PYTHON_USEDEP}]
+ dev-python/trio[\${PYTHON_USEDEP}]
+ >=dev-python/tornado-4.2.1[\${PYTHON_USEDEP}]
+ >=dev-python/trustme-0.5.3[\${PYTHON_USEDEP}]
+ " "${PYTHON_TESTED[@]}")
+ $(python_gen_cond_dep '
+ >=dev-python/backports-zstd-1.0.0[${PYTHON_USEDEP}]
+ ' 3.{11..13})
+ )
+"
+
+src_prepare() {
+ # upstream considers 0.5 s to be "long" for a timeout
+ # we get tons of test failures on *fast* systems because of that
+ sed -i -e '/LONG_TIMEOUT/s:0.5:5:' test/__init__.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTHONPATH=${WORKDIR}/hypercorn-${HYPERCORN_COMMIT}/src
+ local -x CI=1
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ # TODO: timeouts
+ test/contrib/test_pyopenssl.py::TestSocketClosing::test_timeout_errors_cause_retries
+ test/with_dummyserver/test_socketlevel.py::TestSocketClosing::test_timeout_errors_cause_retries
+ # TODO
+ test/contrib/test_pyopenssl.py::TestSocketClosing::test_socket_shutdown_stops_recv
+ test/with_dummyserver/test_socketlevel.py::TestSocketClosing::test_socket_shutdown_stops_recv
+ # hangs randomly
+ test/contrib/test_pyopenssl.py::TestHTTPS_TLSv1_{2,3}::test_http2_probe_blocked_per_thread
+ test/with_dummyserver/test_https.py::TestHTTPS_TLSv1_{2,3}::test_http2_probe_blocked_per_thread
+ )
+
+ local EPYTEST_PLUGINS=( pytest-timeout )
+ local EPYTEST_RERUNS=10
+ local EPYTEST_XDIST=1
+ epytest --reruns-delay=2
+}
diff --git a/dev-python/uv/uv-0.9.16.ebuild b/dev-python/uv/uv-0.9.16.ebuild
index 253d1ec065af..fe3eb6a3dc83 100644
--- a/dev-python/uv/uv-0.9.16.ebuild
+++ b/dev-python/uv/uv-0.9.16.ebuild
@@ -53,6 +53,7 @@ RDEPEND="
${DEPEND}
"
BDEPEND="
+ virtual/pkgconfig
test? (
dev-lang/python:3.9
dev-lang/python:3.10
diff --git a/dev-python/uv/uv-0.9.4.ebuild b/dev-python/uv/uv-0.9.4.ebuild
index cd97f92f976a..0785bb2e3915 100644
--- a/dev-python/uv/uv-0.9.4.ebuild
+++ b/dev-python/uv/uv-0.9.4.ebuild
@@ -62,6 +62,7 @@ RDEPEND="
${DEPEND}
"
BDEPEND="
+ virtual/pkgconfig
test? (
dev-lang/python:3.9
dev-lang/python:3.10
diff --git a/dev-python/uv/uv-9999.ebuild b/dev-python/uv/uv-9999.ebuild
index 2920daf2b28b..d35d9ac0742d 100644
--- a/dev-python/uv/uv-9999.ebuild
+++ b/dev-python/uv/uv-9999.ebuild
@@ -29,6 +29,7 @@ RDEPEND="
${DEPEND}
"
BDEPEND="
+ virtual/pkgconfig
test? (
dev-lang/python:3.9
dev-lang/python:3.10
diff --git a/dev-python/vcrpy/Manifest b/dev-python/vcrpy/Manifest
index 2a1f13b1f391..5f4a5561c2b8 100644
--- a/dev-python/vcrpy/Manifest
+++ b/dev-python/vcrpy/Manifest
@@ -1,2 +1,3 @@
DIST vcrpy-7.0.0.gh.tar.gz 339068 BLAKE2B 15ae3cdfa3ba6755c0d7b2a31b91a4465bd603a80ee2900207181ba95dca4b863d16cf44ae98b7cac35bd312daaa95ca882a2a9d75e46e2a48b788e7bf82ab51 SHA512 6e82f56adddc5b5e3d56c261e612af5a66daed6a3485dfc082be235e95901ceaae9aa83bab96cef19d8fbe35c27953b4b101fea702fd3a44cbe578c926990d87
DIST vcrpy-8.0.0.gh.tar.gz 339334 BLAKE2B 5f3d6b4fe441b9e3f399db80a7f9f0a06c282e574d6c4689a6601b20a1d956c766c9bb83c7a24466e73066e99b873fbdab876332299961a4a3c14841973c7c55 SHA512 538e72148c74ccf0d2bf95e893e0a9c99d394446ce50c15bfc52ed96dd82dcec6edfaf5bf5152179061ff220636b73a28d5e9f195d7cd38ccdd7c3fdad07822e
+DIST vcrpy-8.1.0.gh.tar.gz 339954 BLAKE2B bef251131a88e0d6fefbddbc78fedb4b6a9a3f21bf5b902fbf1d28746ee1d0b842adb8e3ccf7e437259c8be3e95260bca838e5b2215760873f122956c083dcc1 SHA512 47d78f88d20bb52a511af237a5e925797a11f36406f4e24d4faa5d612834fca89f944f6cfa1ce833822608d40252dad7f4d4624d8bab7ed58b63338288662612
diff --git a/dev-python/vcrpy/vcrpy-8.1.0.ebuild b/dev-python/vcrpy/vcrpy-8.1.0.ebuild
new file mode 100644
index 000000000000..bd8b5de8caed
--- /dev/null
+++ b/dev-python/vcrpy/vcrpy-8.1.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Automatically mock your HTTP interactions to simplify and speed up testing"
+HOMEPAGE="
+ https://github.com/kevin1024/vcrpy/
+ https://pypi.org/project/vcrpy/
+"
+SRC_URI="
+ https://github.com/kevin1024/vcrpy/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.22.0[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/wrapt[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/httplib2-0.9.1[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-httpbin )
+EPYTEST_RERUNS=5
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # these tests are failing with recent dev-python/werkzeug; losely related:
+ # https://github.com/kevin1024/vcrpy/issues/645
+ tests/integration/test_record_mode.py::test_new_episodes_record_mode_two_times
+ tests/integration/test_urllib2.py::test_random_body
+ tests/integration/test_urllib2.py::test_multiple_requests
+ # Internet
+ "tests/integration/test_urllib3.py::test_post[https]"
+ )
+
+ local EPYTEST_IGNORE=(
+ # requires boto3
+ tests/integration/test_boto3.py
+ # Internet
+ tests/integration/test_tornado.py
+ tests/integration/test_aiohttp.py
+ )
+
+ local -x REQUESTS_CA_BUNDLE=$("${EPYTHON}" -m pytest_httpbin.certs)
+ epytest -m 'not online'
+}